Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PersonalDetails

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PersonalDetails

Enclosing class:
  TdApi

public static final class TdApi.PersonalDetails extends TdApi.Object
Contains the user's personal details.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.Date`
`birthdate`
Birthdate of the user.
`static final int`
`CONSTRUCTOR`
`String`
`countryCode`
A two-letter ISO 3166-1 alpha-2 country code of the user's country.
`String`
`firstName`
First name of the user written in English; 1-255 characters.
`String`
`gender`
Gender of the user, "male" or "female".
`String`
`lastName`
Last name of the user written in English; 1-255 characters.
`String`
`middleName`
Middle name of the user written in English; 0-255 characters.
`String`
`nativeFirstName`
Native first name of the user; 1-255 characters.
`String`
`nativeLastName`
Native last name of the user; 1-255 characters.
`String`
`nativeMiddleName`
Native middle name of the user; 0-255 characters.
`String`
`residenceCountryCode`
A two-letter ISO 3166-1 alpha-2 country code of the user's residence country.

## Constructor Summary

Constructors
Constructor
Description
`PersonalDetails()`
Contains the user's personal details.
`PersonalDetails(DataInput input)`
Contains the user's personal details.
`PersonalDetails(String firstName, String middleName, String lastName, String nativeFirstName, String nativeMiddleName, String nativeLastName, TdApi.Date birthdate, String gender, String countryCode, String residenceCountryCode)`
Contains the user's personal details.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### firstName

public String firstName
First name of the user written in English; 1-255 characters.

### middleName

public String middleName
Middle name of the user written in English; 0-255 characters.

### lastName

public String lastName
Last name of the user written in English; 1-255 characters.

### nativeFirstName

public String nativeFirstName
Native first name of the user; 1-255 characters.

### nativeMiddleName

public String nativeMiddleName
Native middle name of the user; 0-255 characters.

### nativeLastName

public String nativeLastName
Native last name of the user; 1-255 characters.

### birthdate

public TdApi.Date birthdate
Birthdate of the user.

### gender

public String gender
Gender of the user, "male" or "female".

### countryCode

public String countryCode
A two-letter ISO 3166-1 alpha-2 country code of the user's country.

### residenceCountryCode

public String residenceCountryCode
A two-letter ISO 3166-1 alpha-2 country code of the user's residence country.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PersonalDetails

public PersonalDetails()
Contains the user's personal details.

### PersonalDetails

public PersonalDetails(String firstName, String middleName, String lastName, String nativeFirstName, String nativeMiddleName, String nativeLastName, TdApi.Date birthdate, String gender, String countryCode, String residenceCountryCode)
Contains the user's personal details.

Parameters:
  `firstName` - String First name of the user written in English; 1-255 characters.
  `middleName` - String Middle name of the user written in English; 0-255 characters.
  `lastName` - String Last name of the user written in English; 1-255 characters.
  `nativeFirstName` - String Native first name of the user; 1-255 characters.
  `nativeMiddleName` - String Native middle name of the user; 0-255 characters.
  `nativeLastName` - String Native last name of the user; 1-255 characters.
  `birthdate` - Date Birthdate of the user.
  `gender` - String Gender of the user, "male" or "female".
  `countryCode` - String A two-letter ISO 3166-1 alpha-2 country code of the user's country.
  `residenceCountryCode` - String A two-letter ISO 3166-1 alpha-2 country code of the user's residence country.

### PersonalDetails

public PersonalDetails(DataInput input) throws IOException
Contains the user's personal details.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`